List reseller partners
curl --request GET \
--url https://api.hub.younegotiate.com/manage-partners \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hub.younegotiate.com/manage-partners"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hub.younegotiate.com/manage-partners', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": 12,
"name": "Acme Partners",
"contact": {
"first_name": "Alice",
"last_name": "Smith",
"name": "Alice Smith",
"email": "alice@partner.test",
"phone": "9005090050",
"phone_label": "(900) 509-0050"
},
"report_emails": [
"reports@partner.test"
],
"contact_and_report_emails": [
"alice@partner.test",
"reports@partner.test"
],
"revenue_share": "10.00",
"revenue_share_label": "10.00%",
"creditors_quota": 50000,
"creditors_quota_label": "50,000",
"active_members_count": 25,
"active_members_count_label": "25",
"quota_percentage": 0.05,
"quota_percentage_label": "0.05%",
"hosting_charges": 100,
"hosting_charges_label": "$100.00",
"percentage_of_payments": 50,
"percentage_of_payments_label": "$50.00",
"creditor_eco_letters": 20,
"creditor_eco_letters_label": "$20.00",
"yn_total_revenue": 170,
"yn_total_revenue_label": "$170.00",
"partner_payout": 17,
"partner_payout_label": "$17.00",
"partnership_link": "https://creditor.younegotiate.com/register?code=PARTNER123",
"actions": {
"can_copy_partnership_link": true,
"can_download_mtd_rev_share_report": true,
"can_export_members": true,
"can_edit": true
},
"action_items": [
{
"label": "<string>",
"available": true
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"current_page": 1,
"from": 1,
"last_page": 1,
"per_page": 25,
"to": 10,
"total": 10
},
"meta": {
"report_histories": [
{
"id": 301,
"partner_id": 12,
"partner": {
"id": 12,
"name": "Acme Partners"
},
"sent_on": "2023-11-07T05:31:56Z",
"period_label": "May 2026",
"report_emails": [
"reports@partner.test"
],
"total_revenue": 170,
"total_revenue_label": "$170.00",
"partner_payout": 17,
"partner_payout_label": "$17.00",
"has_file": true,
"actions": {
"can_download": true
},
"action_items": [
{
"label": "<string>",
"available": true
}
]
}
]
}
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}List reseller partners
List reseller partners with visible table metrics, row actions, pagination, and the current 60-day report history metadata.
GET
/
manage-partners
List reseller partners
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Search by partner name, contact name, contact email, contact phone, or report email.
Maximum string length:
255Sort field matching the visible reseller partner table columns.
Available options:
company-name, contact-name, contact-email, contact-phone, revenue-share, creditors-quota, joined, hosting-charges, percentage-of-payments, creditor-eco-letters, yn-total-revenue, partner-payout Sort direction.
Available options:
asc, desc Number of partners per page.
Required range:
1 <= x <= 100Last modified on July 20, 2026
Was this page helpful?
⌘I

